--- title: "Get repository list" slug: "devtools-sourcecommit-repositorylist" tags: ["SourceCommit"] updated: 2026-09-17T10:05:48Z published: 2026-09-17T10:05:48Z canonical: "api.ncloud-docs.com/devtools-sourcecommit-repositorylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get repository list Available in Classic and VPC Get the repository list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/repository | ### Request headers For information about the headers common to all SourceCommit APIs, see [SourceCommit request headers](/docs/en/devtools-sourcecommit#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `repositoryName` | String | Optional | Search keyword - Filter values that match the repository name in whole or in part. | | `pageNo` | Number | Optional | Page number - 1-N (default: 1) | | `pageSize` | Number | Optional | Number of items per page - 1-N - Display entire list if not entered. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sourcecommit.apigw.ntruss.com/api/v1/repository?repositoryName=repository&pageNo=1&pageSize=100' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.total` | Number | - | Number of response results | | `result.repository` | Array | - | Repository list: [repository](/docs/en/devtools-sourcecommit-repositorylist#repository) | #### `repository` The following describes `repository`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Number | - | Repository ID | | `name` | String | - | Repository name | | `permission` | String | - | Ownership of permission to view details - `Allow` \| `Deny` - `Allow`: own - `Deny`: not owned | | `actionName` | String | - | Permission name for viewing details | ### Response status codes For information about the HTTP status codes common to all SourceCommit APIs, see [SourceCommit response status codes](/docs/en/devtools-sourcecommit#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "total": 2, "repository": [ { "id": 632***, "name": "repository002", "permission": "Allow", "actionName": "View/getRepositoryDetail" }, { "id": 632***, "name": "repository001", "permission": "Allow", "actionName": "View/getRepositoryDetail" } ] } } ```